﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;

namespace ContentManager
{
    [ComImport, InterfaceType(ComInterfaceType.InterfaceIsIDispatch)]
    [Guid("CBD62A00-1DBB-11CF-8985-0000E8A49FA0")]
    public interface ISAPTaFacTables
    {
        [DispId(0x08)]
        [return: MarshalAs(UnmanagedType.IDispatch)]
        object get_Item([MarshalAs(UnmanagedType.AsAny)] object vaWhere);
    }

    
    
    [ComImport, InterfaceType(ComInterfaceType.InterfaceIsIDispatch)]
    [Guid("C4EE5DC1-6C14-101C-92CE-10005AF5DF4D")]
    public interface ISAPTaFacTable
    {
        [DispId(0x01)]
        long RowCount
        {
            [return: MarshalAs(UnmanagedType.I8)]
            get;

            [param: MarshalAs(UnmanagedType.I8)]
            set;
        }

        [DispId(0x05)]
        object Data
        {
            [return: MarshalAs(UnmanagedType.AsAny)]
            get;

            [param: MarshalAs(UnmanagedType.AsAny)]
            set;
        }
        
        [DispId(0x1a)]
        [return: MarshalAs(UnmanagedType.IDispatch)]
        object AppendRow();

        [DispId(0x17)]
        [return: MarshalAs(UnmanagedType.AsAny)]
        object Value([MarshalAs(UnmanagedType.I8)] long lRow, [MarshalAs(UnmanagedType.AsAny)] object vaColumn);

        [DispId(0x17)]        
        void Value([MarshalAs(UnmanagedType.I8)] long lRow, [MarshalAs(UnmanagedType.AsAny)] object vaColumn, [MarshalAs(UnmanagedType.AsAny)] object rhs);

    }

}
